NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.SpecialPiercingInsertBuilder Class Reference

Creates special piercing insert for progressive die. More...

Inheritance diagram for NXOpen.Tooling.SpecialPiercingInsertBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BoundBoxType { BoundedBlock, BoundedCylinder }
 Specifies the bounded box type block or cylinder. More...
 
enum  InsertPositionTypes { Top, Bottom }
 Specifies the position of piercing inserts, for EDW only More...
 
enum  NormalBottomBackingPlateSlugType {
  Fillet, Rectangle, Circle, Mickey,
  Clearance, SlotVer, SlotHor, None
}
 Specifies the type of bottom plate slug. More...
 
enum  NormalCavityType { TaperAngle, Step }
 Specifies the type of cavity. More...
 
enum  NormalDieShoeSlugType {
  Fillet, Rectangle, Circle, Mickey,
  Clearance, SlotVer, SlotHor, None
}
 Specifies the type of die shoe slug. More...
 
enum  NormalOffsetSideType { PunchSide, DieSide }
 Specifies the offset side of normal pierce insert design. More...
 
enum  ParentPartTypes { ProjectDie, ProjectDieBase, ProjectSubDieBase }
 Specifies the parent part type. More...
 
enum  PunchOrDieTypes { Punch, Die, DieCavityAndSlugHole }
 Specifies the parent part type. More...
 
enum  StandardOrUserDefinedTypes { Standard, UserDefined }
 Specifies the parent part type. More...
 
enum  Types { Create, Edit, Delete }
 Specifies the parent part type. More...
 

Public Member Functions

unsafe NXOpen.NXObject AddInsertPartIntoAssembly (NXOpen.NXObject parentPart, string templatePartName, NXOpen.Point3d origin)
 Add insert part into assembly. More...
 
unsafe void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
unsafe void CreateDatumPlane ()
 The create datum plane More...
 
unsafe void CreateIntersect (NXOpen.NXObject targetBody, NXOpen.NXObject bodyOfKFBoundBox)
 Create intersect. More...
 
unsafe NXOpen.NXObject CreateKFBoundBox (NXOpen.Matrix3x3 wcsMatrix, double[] clearance, NXOpen.NXObject[] faces)
 Create bound box. More...
 
unsafe void CreateOffsetDatumPlane ()
 Create offset datum plane More...
 
unsafe void DeleteSelectedInsertAndWaveLinkedSource ()
 Delete selected insert and wave linked source feature. More...
 
unsafe NXOpen.Edge GetCorrectEdgeInNewPart (NXOpen.Part partTag, NXOpen.Edge sourceEdge)
 Get correct edge in new part More...
 
unsafe void GetCorrectFacesOfExtractRegionFeature (out NXOpen.Face[] faces)
 Get correct faces of extrac region feature. More...
 
unsafe NXOpen.NXObject GetHoleBoundaryFaceAndCreatePatchOpenings (NXOpen.NXObject[] edges)
 Get hole boundary face and create patch openings. More...
 
unsafe void GetProfile (NXOpen.Section sectionTag, out NXOpen.Curve[] profiles)
 Get profiles More...
 
unsafe void GetWaveLinkedCurves (out NXOpen.Curve[] linkedCurves)
 Get wave linked curves More...
 
unsafe void SetBoxMatrixAndPosition (NXOpen.Matrix3x3 matrix, NXOpen.Point3d position)
 Sets box csys matrix. More...
 
unsafe void SetWCSForSpecialPiercingInsert (bool needPrecisionValue)
 Set work coordinate system for special piercing insert More...
 
unsafe void SuppressAllFeatureAfter (NXOpen.NXObject featureTag, bool suppressChildren)
 Suppress child feature. More...
 
unsafe void WaveFacesAndFillHole (NXOpen.Part rootPart, NXOpen.NXObject instanceTag)
 Wave faces and fill hole More...
 
unsafe void WaveFacesOfSelectedCurves (NXOpen.Part rootPart, NXOpen.NXObject instanceTag)
 Wave faces of selected curves More...
 
unsafe void WaveIntersectBodyToNewDieInsertPart (NXOpen.NXObject[] bodies)
 Wave intersect body to new die insert part. More...
 
unsafe void WaveSelectedCurves ()
 Wave selected curves More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.BoundBoxType 
BoundBox [get, set]
 Returns or sets the block or cylinder More...
 
unsafe NXOpen.Point3d BoxPosition [get, set]
 Returns or sets the position of csys for box. More...
 
unsafe NXOpen.Expression EndLimit [get]
 Returns the end limit More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.InsertPositionTypes 
InsertPosition [get, set]
 Returns or sets the reverse direction More...
 
unsafe bool Is3DCurves [get, set]
 Returns or sets the result whether the curves is three dimensional More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalBottomBackingPlateSlugType 
NormalBbpslug [get, set]
 Returns or sets the bottom plate slug type for normal pierce design. More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalCavityType 
NormalCavity [get, set]
 Returns or sets the cavity type for normal pierce design. More...
 
unsafe double NormalClearance [get, set]
 Returns or sets the clearance value for normal pierce design. More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalDieShoeSlugType 
NormalDsslug [get, set]
 Returns or sets the die shoe slug type for normal pierce design. More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalOffsetSideType 
NormalOffsetSide [get, set]
 Returns or sets the offset side option for normal pierce design. More...
 
unsafe double NormalSlugPara1 [get, set]
 Returns or sets the H value of slug hole for normal pierce design. More...
 
unsafe double NormalSlugPara2 [get, set]
 Returns or sets the A value of slug hole for normal pierce design. More...
 
unsafe double NormalSlugPara3 [get, set]
 Returns or sets the C1 value of slug hole for normal pierce design. More...
 
unsafe double NormalSlugPara4 [get, set]
 Returns or sets the C2 value of slug hole for normal pierce design. More...
 
unsafe NXOpen.Expression OffsetLinearDimension [get]
 Returns the offset linear dimension More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeX [get]
 Returns the offset value linear dimension negative x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeY [get]
 Returns the offset value linear dimension negative y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionNegativeZ [get]
 Returns the offset value linear dimension negative z More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveX [get]
 Returns the offset value linear dimension positive x More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveY [get]
 Returns the offset value linear dimension positive y More...
 
unsafe NXOpen.Expression OffsetValueLinearDimensionPositiveZ [get]
 Returns the offset value linear dimension positive z More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.ParentPartTypes 
ParentPart [get, set]
 Returns or sets the parent part More...
 
unsafe string ParentPartName [get, set]
 Returns or sets the parent part name to create insert. More...
 
unsafe double PlateClearanceFirst [get, set]
 Returns or sets the plate clearance first More...
 
unsafe double PlateClearanceFourth [get, set]
 Returns or sets the plate clearance fourth More...
 
unsafe double PlateClearanceSecond [get, set]
 Returns or sets the plate clearance second More...
 
unsafe double PlateClearanceThird [get, set]
 Returns or sets the plate clearance third More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.PunchOrDieTypes 
PunchOrDie [get, set]
 Returns or sets the punch or die More...
 
unsafe NXOpen.Expression RadialOffset [get]
 Returns the radial offset value for cylinder box More...
 
unsafe bool RenameComponent [get, set]
 Returns or sets the rename component More...
 
unsafe NXOpen.Section SelectCurves [get]
 Returns the select curves More...
 
unsafe NXOpen.SelectEdgeList SelectEdges [get]
 Returns the select curve More...
 
unsafe NXOpen.SelectFaceList SelectFace [get]
 Returns the select face More...
 
unsafe NXOpen.SelectNXObjectList SelectInsert [get]
 Returns the select insert More...
 
unsafe NXOpen.Direction SelectVector [get, set]
 Returns or sets the select vector More...
 
unsafe NXOpen.Expression SlugHoleHeightLinearDimension [get]
 Returns the slug hole height linear dimension More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.StandardOrUserDefinedTypes 
StandardOrUserDefined [get, set]
 Returns or sets the standard or user defined More...
 
unsafe NXOpen.Expression StartLimit [get]
 Returns the start limit More...
 
unsafe
NXOpen.Tooling.SpecialPiercingInsertBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe bool UsePlateClearanceFirst [get, set]
 Returns or sets the use plate clearance first More...
 
unsafe bool UsePlateClearanceFourth [get, set]
 Returns or sets the use plate clearance fourth More...
 
unsafe bool UsePlateClearanceSecond [get, set]
 Returns or sets the use plate clearance second More...
 
unsafe bool UsePlateClearanceThird [get, set]
 Returns or sets the use plate clearance third More...
 
unsafe int WizardType [get, set]
 Returns or sets the wizard type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Creates special piercing insert for progressive die.

No entity is returned.

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateSpecialPiercingInsertBuilder

Default values.

Property Value

BoundBox

BoundedBlock

EndLimit.Value

0 (millimeters part), 0 (inches part)

InsertPosition

Bottom

NormalBbpslug

Fillet

NormalCavity

TaperAngle

NormalClearance

0.05

NormalDsslug

Fillet

NormalOffsetSide

DieSide

NormalSlugPara1

3

NormalSlugPara2

-3

NormalSlugPara3

2

NormalSlugPara4

3

OffsetLinearDimension.Value

3 (millimeters part), 0.12 (inches part)

ParentPart

ProjectDie

PlateClearanceFirst

0

PlateClearanceFourth

0

PlateClearanceSecond

0

PlateClearanceThird

0

PunchOrDie

Punch

RenameComponent

0

SlugHoleHeightLinearDimension.Value

100 (millimeters part), 4 (inches part)

StandardOrUserDefined

Standard

StartLimit.Value

0 (millimeters part), 0 (inches part)

UsePlateClearanceFirst

0

UsePlateClearanceFourth

0

UsePlateClearanceSecond

0

UsePlateClearanceThird

0

Created in NX11.0.0

Member Enumeration Documentation

Specifies the bounded box type block or cylinder.

Enumerator
BoundedBlock 
BoundedCylinder 

Specifies the position of piercing inserts, for EDW only

Enumerator
Top 

The position is top side

Bottom 

The position is bottom side

Specifies the type of bottom plate slug.

Enumerator
Fillet 

Bottom backing plate slug type is fillet

Rectangle 

Bottom backing plate slug type is rectangle

Circle 

Bottom backing plate slug type is circle

Mickey 

Bottom backing plate slug type is mickey

Clearance 

Bottom backing plate slug type is clearance

SlotVer 

Bottom backing plate slug type is slot vertical

SlotHor 

Bottom backing plate slug type is slot horizontal

None 

Bottom backing plate slug type is none

Specifies the type of cavity.

Enumerator
TaperAngle 

the taper angle type

Step 

the step type

Specifies the type of die shoe slug.

Enumerator
Fillet 

Die shoe slug type is fillet

Rectangle 

Die shoe slug type is rectangle

Circle 

Die shoe slug type is circle

Mickey 

Die shoe slug type is mickey

Clearance 

Die shoe slug type is clearance

SlotVer 

Die shoe slug type is slot vertical

SlotHor 

Die shoe slug type is slot horizontal

None 

Die shoe slug type is none

Specifies the offset side of normal pierce insert design.

Enumerator
PunchSide 

The offset side is punch

DieSide 

The offset side is die

Specifies the parent part type.

Enumerator
ProjectDie 
ProjectDieBase 
ProjectSubDieBase 

Specifies the parent part type.

Enumerator
Punch 
Die 
DieCavityAndSlugHole 

Specifies the parent part type.

Enumerator
Standard 
UserDefined 

Specifies the parent part type.

Enumerator
Create 
Edit 
Delete 

Member Function Documentation

unsafe NXOpen.NXObject NXOpen.Tooling.SpecialPiercingInsertBuilder.AddInsertPartIntoAssembly ( NXOpen.NXObject  parentPart,
string  templatePartName,
NXOpen.Point3d  origin 
)
inline

Add insert part into assembly.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
parentPart
templatePartName
origin
Returns
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.CalculateBoxSize ( )
inline

Calculate box size and set directions, edge length, lower point position.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.CreateDatumPlane ( )
inline

The create datum plane

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.CreateIntersect ( NXOpen.NXObject  targetBody,
NXOpen.NXObject  bodyOfKFBoundBox 
)
inline

Create intersect.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
targetBody
bodyOfKFBoundBox
unsafe NXOpen.NXObject NXOpen.Tooling.SpecialPiercingInsertBuilder.CreateKFBoundBox ( NXOpen.Matrix3x3  wcsMatrix,
double[]  clearance,
NXOpen.NXObject[]  faces 
)
inline

Create bound box.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
wcsMatrix
clearance
faces
Returns
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.CreateOffsetDatumPlane ( )
inline

Create offset datum plane

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.DeleteSelectedInsertAndWaveLinkedSource ( )
inline

Delete selected insert and wave linked source feature.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Edge NXOpen.Tooling.SpecialPiercingInsertBuilder.GetCorrectEdgeInNewPart ( NXOpen.Part  partTag,
NXOpen.Edge  sourceEdge 
)
inline

Get correct edge in new part

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
partTag
sourceEdge
Returns
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.GetCorrectFacesOfExtractRegionFeature ( out NXOpen.Face[]  faces)
inline

Get correct faces of extrac region feature.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
faces
unsafe NXOpen.NXObject NXOpen.Tooling.SpecialPiercingInsertBuilder.GetHoleBoundaryFaceAndCreatePatchOpenings ( NXOpen.NXObject[]  edges)
inline

Get hole boundary face and create patch openings.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
edges
Returns
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.GetProfile ( NXOpen.Section  sectionTag,
out NXOpen.Curve[]  profiles 
)
inline

Get profiles

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionTag
profiles
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.GetWaveLinkedCurves ( out NXOpen.Curve[]  linkedCurves)
inline

Get wave linked curves

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
linkedCurves
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.SetBoxMatrixAndPosition ( NXOpen.Matrix3x3  matrix,
NXOpen.Point3d  position 
)
inline

Sets box csys matrix.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrix
position
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.SetWCSForSpecialPiercingInsert ( bool  needPrecisionValue)
inline

Set work coordinate system for special piercing insert

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
needPrecisionValue
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.SuppressAllFeatureAfter ( NXOpen.NXObject  featureTag,
bool  suppressChildren 
)
inline

Suppress child feature.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
featureTag
suppressChildren
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.WaveFacesAndFillHole ( NXOpen.Part  rootPart,
NXOpen.NXObject  instanceTag 
)
inline

Wave faces and fill hole

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rootPart
instanceTag
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.WaveFacesOfSelectedCurves ( NXOpen.Part  rootPart,
NXOpen.NXObject  instanceTag 
)
inline

Wave faces of selected curves

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
rootPart
instanceTag
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.WaveIntersectBodyToNewDieInsertPart ( NXOpen.NXObject[]  bodies)
inline

Wave intersect body to new die insert part.

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
bodies
unsafe void NXOpen.Tooling.SpecialPiercingInsertBuilder.WaveSelectedCurves ( )
inline

Wave selected curves

Created in NX11.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Property Documentation

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.BoundBoxType NXOpen.Tooling.SpecialPiercingInsertBuilder.BoundBox
getset

Returns or sets the block or cylinder

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point3d NXOpen.Tooling.SpecialPiercingInsertBuilder.BoxPosition
getset

Returns or sets the position of csys for box.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.EndLimit
get

Returns the end limit

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.InsertPositionTypes NXOpen.Tooling.SpecialPiercingInsertBuilder.InsertPosition
getset

Returns or sets the reverse direction

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.Is3DCurves
getset

Returns or sets the result whether the curves is three dimensional

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalBottomBackingPlateSlugType NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalBbpslug
getset

Returns or sets the bottom plate slug type for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalCavityType NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalCavity
getset

Returns or sets the cavity type for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalClearance
getset

Returns or sets the clearance value for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalDieShoeSlugType NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalDsslug
getset

Returns or sets the die shoe slug type for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalOffsetSideType NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalOffsetSide
getset

Returns or sets the offset side option for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalSlugPara1
getset

Returns or sets the H value of slug hole for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalSlugPara2
getset

Returns or sets the A value of slug hole for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalSlugPara3
getset

Returns or sets the C1 value of slug hole for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.NormalSlugPara4
getset

Returns or sets the C2 value of slug hole for normal pierce design.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetLinearDimension
get

Returns the offset linear dimension

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionNegativeX
get

Returns the offset value linear dimension negative x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionNegativeY
get

Returns the offset value linear dimension negative y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionNegativeZ
get

Returns the offset value linear dimension negative z

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionPositiveX
get

Returns the offset value linear dimension positive x

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionPositiveY
get

Returns the offset value linear dimension positive y

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.OffsetValueLinearDimensionPositiveZ
get

Returns the offset value linear dimension positive z

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.ParentPartTypes NXOpen.Tooling.SpecialPiercingInsertBuilder.ParentPart
getset

Returns or sets the parent part

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.SpecialPiercingInsertBuilder.ParentPartName
getset

Returns or sets the parent part name to create insert.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.PlateClearanceFirst
getset

Returns or sets the plate clearance first

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.PlateClearanceFourth
getset

Returns or sets the plate clearance fourth

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.PlateClearanceSecond
getset

Returns or sets the plate clearance second

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.SpecialPiercingInsertBuilder.PlateClearanceThird
getset

Returns or sets the plate clearance third

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.PunchOrDieTypes NXOpen.Tooling.SpecialPiercingInsertBuilder.PunchOrDie
getset

Returns or sets the punch or die

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.RadialOffset
get

Returns the radial offset value for cylinder box

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.RenameComponent
getset

Returns or sets the rename component

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Tooling.SpecialPiercingInsertBuilder.SelectCurves
get

Returns the select curves

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectEdgeList NXOpen.Tooling.SpecialPiercingInsertBuilder.SelectEdges
get

Returns the select curve

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectFaceList NXOpen.Tooling.SpecialPiercingInsertBuilder.SelectFace
get

Returns the select face

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.SpecialPiercingInsertBuilder.SelectInsert
get

Returns the select insert

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.SpecialPiercingInsertBuilder.SelectVector
getset

Returns or sets the select vector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.SlugHoleHeightLinearDimension
get

Returns the slug hole height linear dimension

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.StandardOrUserDefinedTypes NXOpen.Tooling.SpecialPiercingInsertBuilder.StandardOrUserDefined
getset

Returns or sets the standard or user defined

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.SpecialPiercingInsertBuilder.StartLimit
get

Returns the start limit

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Tooling.SpecialPiercingInsertBuilder.Types NXOpen.Tooling.SpecialPiercingInsertBuilder.Type
getset

Returns or sets the type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.UsePlateClearanceFirst
getset

Returns or sets the use plate clearance first

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.UsePlateClearanceFourth
getset

Returns or sets the use plate clearance fourth

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.UsePlateClearanceSecond
getset

Returns or sets the use plate clearance second

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.SpecialPiercingInsertBuilder.UsePlateClearanceThird
getset

Returns or sets the use plate clearance third

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe int NXOpen.Tooling.SpecialPiercingInsertBuilder.WizardType
getset

Returns or sets the wizard type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.